UbixOS V2 2.0

Functions
message.c File Reference
`#include <mpi/mpi.h>`
Include dependency graph for message.c:

Go to the source code of this file.

## Functions
void | sysMpiCreateMbox (uInt32 *status, char *name)
void | sysMpiDestroyMbox (uInt32 *status, char *name)
void | sysMpiFetchMessage (char *name, mpi_message_t *msg, uInt32 *status)
void | sysMpiPostMessage (char *name, uInt32 *type, mpi_message_t *data)
void | sysMpiSpam (uInt32 type, void *data, uInt32 *status)

## Function Documentation

## ◆ sysMpiCreateMbox()

void sysMpiCreateMbox | ( | uInt32 * | status,
|  | char * | name
| ) |  |

Definition at line 31 of file message.c.

## ◆ sysMpiDestroyMbox()

void sysMpiDestroyMbox | ( | uInt32 * | status,
|  | char * | name
| ) |  |

Definition at line 37 of file message.c.

## ◆ sysMpiFetchMessage()

void sysMpiFetchMessage | ( | char * | name,
|  | mpi_message_t * | msg,
|  | uInt32 * | status
| ) |  |

Definition at line 49 of file message.c.

## ◆ sysMpiPostMessage()

void sysMpiPostMessage | ( | char * | name,
|  | uInt32 * | type,
|  | mpi_message_t * | data
| ) |  |

Definition at line 43 of file message.c.

References mpi_postMessage(), and name.

Here is the call graph for this function:

## ◆ sysMpiSpam()

void sysMpiSpam | ( | uInt32 | type,
|  | void * | data,
|  | uInt32 * | status
| ) |  |

Definition at line 55 of file message.c.